# Check if profile exists
$execute store success score profload at_t_interact run data get storage animated-timer:data at.profiles.content.$(name).render

# Reset current configuration
execute if score profload at_t_interact matches 1 run function at-abar:confreset

# Print profile data
$execute if score profload at_t_interact matches 1 run tellraw @s {"color":"aqua","text":"[AT] Loaded profile $(name)"}

# Print error message
$execute if score profload at_t_interact matches 0 run tellraw @s {"color":"red","text":"[AT] Could not load $(name); this profile does not exist"}

# GENERAL
# Render type
$execute store result score render at_s_config if score profload at_t_interact matches 1 run data get storage animated-timer:data at.profiles.content.$(name).render

# Style type
$execute store result score style at_s_config if score profload at_t_interact matches 1 run data get storage animated-timer:data at.profiles.content.$(name).style

# STATIC
# Static / primary color
$execute if score style at_s_config matches 0 run data modify storage animated-timer:data at.configuration.style.color1 set from storage animated-timer:data at.profiles.content.$(name).color1

# Static / secondary color
$execute if score style at_s_config matches 0 run data modify storage animated-timer:data at.configuration.style.color2 set from storage animated-timer:data at.profiles.content.$(name).color2

# Static / primary bold
$execute store result score static_bold1 at_s_config if score profload at_t_interact matches 1 if score style at_s_config matches 0 run data get storage animated-timer:data at.profiles.content.$(name).bold1

# Static / secondary bold
$execute store result score static_bold2 at_s_config if score profload at_t_interact matches 1 if score style at_s_config matches 0 run data get storage animated-timer:data at.profiles.content.$(name).bold2

# Static / primary italic
$execute store result score static_italic1 at_s_config if score profload at_t_interact matches 1 if score style at_s_config matches 0 run data get storage animated-timer:data at.profiles.content.$(name).italic1

# Static / secondary italic
$execute store result score static_italic2 at_s_config if score profload at_t_interact matches 1 if score style at_s_config matches 0 run data get storage animated-timer:data at.profiles.content.$(name).italic2


# ANIMATED
# Animated / animation
$execute if score profload at_t_interact matches 1 if score style at_s_config matches 1 run data modify storage animated-timer:data at.configuration.style.animation set from storage animated-timer:data at.profiles.content.$(name).animation
execute if score profload at_t_interact matches 1 if score style at_s_config matches 1 run function at-abar:init

# Animated / bold
$execute store result score animated_bold at_s_config if score profload at_t_interact matches 1 if score style at_s_config matches 1 run data get storage animated-timer:data at.profiles.content.$(name).bold

# Animated / italic
$execute store result score animated_italic at_s_config if score profload at_t_interact matches 1 if score style at_s_config matches 1 run data get storage animated-timer:data at.profiles.content.$(name).italic

# Animated / speed
$execute store result score animated_speed at_s_config if score profload at_t_interact matches 1 if score style at_s_config matches 1 run data get storage animated-timer:data at.profiles.content.$(name).speed

# Animated / direction
$execute store result score animated_direction at_s_config if score profload at_t_interact matches 1 if score style at_s_config matches 1 run data get storage animated-timer:data at.profiles.content.$(name).direction
